/* global screenReaderText */
/**
 * Theme functions file.
 *
 * Contains handlers for navigation and widget area.
 */

( function( $ ) {

	column_fix = function() {
	
		var wwidth = $(window).width();
	
		var lswx = $('.left-sidebar-wrapper').outerWidth(); 
		
		var cwx = $('.site-content').outerWidth(); 
		
		var rswx = $('.right-sidebar-wrapper').outerWidth();

		var swxxx = $('.site').width();
		
		var ttlw = swxxx - (lswx + cwx + rswx);
	
		if ((wwidth >= 1088)) {
		
			if ( $( '.site' ).hasClass( '2_column_lor' ) ) {
				$('.2_column_lor').css('transform', 'translateX(' + Math.round(ttlw / 2) + 'px)');
			} 
			
			if ( $( '.site' ).hasClass( '3_column_lor' ) ) {
				$('.3_column_lor').css('transform', 'translateX(' + Math.round(ttlw / 2) + 'px)');
			}
		
		} else {
			
			if ( $( '.site' ).hasClass( '2_column_lor' ) ) {
				$('.2_column_lor').css('transform', '');
			} 
			
			if ( $( '.site' ).hasClass( '3_column_lor' ) ) {
				$('.3_column_lor').css('transform', '');
			}
		
		}
		
		var cta_width = $('.quidus-cta-widget-outer').width();
		
		var fhh = $('.featured-post-info').height();
		
		$('.quidus-featured-post, .featured-post-inner, .quidus-featured-post .featured-post-image-wrapper').css('min-height', fhh * 1.75);
		
	}
		
	$(document).ready(column_fix);
		
	$(window).bind('resize orientationchange webkitfullscreenchange mozfullscreenchange fullscreenchange MSFullscreenChange', column_fix);

} )( jQuery );
